Index: examples/acme_rockets/Acme_ID.pem
===================================================================
--- examples/acme_rockets/Acme_ID.pem	(revision ef4daa7704b28f59c0401b233f4455848c47e1d6)
+++ examples/acme_rockets/Acme_ID.pem	(revision ef4daa7704b28f59c0401b233f4455848c47e1d6)
@@ -0,0 +1,19 @@
+-----BEGIN CERTIFICATE-----
+MIIDBDCCAeygAwIBAgIJAPcs9Y6AAW/SMA0GCSqGSIb3DQEBBQUAMA8xDTALBgNV
+BAMTBEFjbWUwHhcNMTAwNzIyMDIwMTMxWhcNMTMwNzA2MDIwMTMxWjAPMQ0wCwYD
+VQQDEwRBY21lMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAr6hkgFaT
+ABHcjmduXo/bs6ldY+AYQStqyUgUSVXB08zgN+h6iycB6LOz2SbF6UjAUN+hkG/4
+Gse7ew8plDyx7jTl/qndE/CLgXmDg6gHJE4EpZAN+CM3iSJGjvEvrsALkZDdfR6L
+dG4MWd+m0Fkiwqoav+PeTQVoevahIpkSWogxwSYLOS8fcJPZmzZuF8n+ABF2Lfvh
+GjrcjnBxxpjWHUYL+TvnS21F20NUCDh+9vUM/q4dNiZHiNBCtDtrtsc3UDSYh5d/
+2ceBHXH+dmUL3PEIZDZCR8j9PARxLkZh/iUIomWoRtrUqgZnjXUbV1jIGtvpiYA0
+b9iKOuJyRV9ZTQIDAQABo2MwYTAPBgNVHRMBAf8EBTADAQH/MA4GA1UdDwEB/wQE
+AwIBBjAdBgNVHQ4EFgQUuy8vNUTapE+fjztc0tjXH23Cl00wHwYDVR0jBBgwFoAU
+uy8vNUTapE+fjztc0tjXH23Cl00wDQYJKoZIhvcNAQEFBQADggEBAFW/sezE4xHy
+17FcjFCR7yeTTL73oOOvFg7bpYFEQxDtikYYMh6W4ddxTrZt+zsEkV7WqiXoIUTZ
++XCo2lj0WNqh+JrWiO6hmluRHeV4XiEhwGi7rpTpv+L2CmwnfSmRI+BGPWnxxxKy
+GFcGVlBHHb81HnKP5wCJ0z1Lwsm9wVBmkLg3/hLr0zhMU6JZ/GLGfHxVAWp4wjji
+BXvOHQrFq8cNR5uZcEeTGspYFk1ePbVinCSczX9c7vET84zcsn+I9ZsBkovDYL++
+Ld6TVDgVS19uVywH+V4UxOTC/bdP12iEcxHzDK4DlZa+P8RkjpsSaAXeyahGeM/X
+EJIY8WKc1WU=
+-----END CERTIFICATE-----
Index: examples/acme_rockets/Acme_private.pem
===================================================================
--- examples/acme_rockets/Acme_private.pem	(revision ef4daa7704b28f59c0401b233f4455848c47e1d6)
+++ examples/acme_rockets/Acme_private.pem	(revision ef4daa7704b28f59c0401b233f4455848c47e1d6)
@@ -0,0 +1,27 @@
+-----BEGIN RSA PRIVATE KEY-----
+MIIEogIAAoIBAQCvqGSAVpMAEdyOZ25ej9uzqV1j4BhBK2rJSBRJVcHTzOA36HqL
+JwHos7PZJsXpSMBQ36GQb/gax7t7DymUPLHuNOX+qd0T8IuBeYODqAckTgSlkA34
+IzeJIkaO8S+uwAuRkN19Hot0bgxZ36bQWSLCqhq/495NBWh69qEimRJaiDHBJgs5
+Lx9wk9mbNm4Xyf4AEXYt++EaOtyOcHHGmNYdRgv5O+dLbUXbQ1QIOH729Qz+rh02
+JkeI0EK0O2u2xzdQNJiHl3/Zx4Edcf52ZQvc8QhkNkJHyP08BHEuRmH+JQiiZahG
+2tSqBmeNdRtXWMga2+mJgDRv2Io64nJFX1lNAgMBAAECggEABdDWTFYmys9MlUhr
+uTobxOXcH4o+s1Wr1PCL1Lu/+Ee7EA7PPoaIQ9CYqUgP2xVGDMdtXXoKOwoW39BU
+3kFo22FT+2uwqVAtsO05g0/lC04r+DaonRO+wHhqi/avT01bdLKDqs3/7FcXwJgC
+OWQMyGjXtuJlV057suqHKOfsLs7FH9mrU7T+CVw/PrPLsTUNI1re7BM/YWPFO9WI
+Rq+ZDZC7vVJjqqbeJjNHrtNAy8H7Owt5QKaFX1RIcJQF3kKnOFohaOErZyaRI6N/
+Yy75y3BRh420lKH87fQcsn4OS1jef9X4++4OCA65WTixWMxk1V+JYI8h11jloyGs
+6sqADwKBgQDpQivraSXohmr3Vulimm//VKWkYSO6g6BJbGQJ/395HIq/fONoCfr2
+WAUtS2+6ftMTizhcuJN+m3hoEw9U78jH6i/v6LoNmc1jBOz5ol8+r7JHQ0hf2DWg
+59FnbPW+n5Hd5XAXlPELZd58wGWW98j3Ut6yndqBHxcdKVd16DdhSwKBgQDAyJUc
+fAPlcjzKZrUY5l2XgYRdxZaO7TlDzD6c9is6nJczJwyyBapL7QV+pA4WP69qdFcj
+1fzjBMiSvH1EOcmK3i4jOMMuh7aZFjj1BFopJ0EKBFSSTmUk2F96yeXUxph0c8te
+aDWnHfVzr4BbtccdFWt/Y50UdLY4OqlwXP0oxwKBgEXvOf3Fs8DodC+eFjEi/os+
+FL+ZBD5KcocxATliKhTkstDAn+m0fFLZhwvSfzgaCCzm48og6M/fyxThCgq8LaWK
+mD7EtuuW/lY+xtH9lbLUuI3XJV7fEw0gE89/gppZe0FdJeNcG30AWNlsUckWl2FX
+rj89RqLJ8IMkvv0x11DLAoGBAIVMbCYE7iDBi50bxU6RQteWe3LnQ4JSLw1c9VJM
+uHlPexCoiJOzbRwQqIL3ZrIlmOIPzYz+0lwam6EyaZ86Icw+ckJyZisPNcfGYN2y
+A7F+7e7CLcP4JuGCJwrc/WjRZOrogg8mGSsTgPtbt3IyT5ohjHHJ6/wP80sP7Ma/
+1WBTAoGAetG74CYquLCqoJ4o/s74YEB5zYi1UirFSiT81I12VkSSV5kH+XkgRXMu
+1VGW170v8kMrWLxtkRQ71CzPIIok86Lr0wob7htiL2fqXDhL8SgOP+UneYb3LBQ8
+37DB+WTuSLG1YcBQkSFRnM0y/JmPGRt0AGenc801+K92cfBm0AE=
+-----END RSA PRIVATE KEY-----
Index: examples/acme_rockets/Coyote_ID.pem
===================================================================
--- examples/acme_rockets/Coyote_ID.pem	(revision ef4daa7704b28f59c0401b233f4455848c47e1d6)
+++ examples/acme_rockets/Coyote_ID.pem	(revision ef4daa7704b28f59c0401b233f4455848c47e1d6)
@@ -0,0 +1,19 @@
+-----BEGIN CERTIFICATE-----
+MIIDCDCCAfCgAwIBAgIJANG3XXugQWuxMA0GCSqGSIb3DQEBBQUAMBExDzANBgNV
+BAMTBkNveW90ZTAeFw0xMDA3MjIwMjAyMTRaFw0xMzA3MDYwMjAyMTRaMBExDzAN
+BgNVBAMTBkNveW90ZTCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAN85
++TU4HwmFWkqiP5TCs5uVLby0DxoO2lQgPFKkUKgpFPgVQiqDP1NPNpiwQMKB+6CU
+gSv1NcvNx8y6bpmnF7RyaDzk5JWNv4XjzacbdF6VYcKMR93C7fKg420Npv4+OYYV
+7fuOxlKBuKGGcnlms38nHgXn4lBnWYgg3M2nIJiOvAhkL6VI1zXt6D16CIjzUsO9
+D5cX01bXiDDOaydmFzyMaiqEUbf2ne659PNTHuSfUmfbUKZVajH2Jyj/KEGb5Eik
+hGaFmM5UWB/xkaycE1jv6j4lT9YpLXR9dnClmGVNnq68KFAsLLS4zUrAoFy/5OFB
+Wkt5moyNXSEb0Oh2GgMCAwEAAaNjMGEwDwYDVR0TAQH/BAUwAwEB/zAOBgNVHQ8B
+Af8EBAMCAQYwHQYDVR0OBBYEFJssHQlJ5meiJksgBgKrpfNWDoQEMB8GA1UdIwQY
+MBaAFJssHQlJ5meiJksgBgKrpfNWDoQEMA0GCSqGSIb3DQEBBQUAA4IBAQAaWjUg
+BlYpupkEyfFUO5g6+hcksMYY46i7Ny8tB0gPsieC/D5cHhAngFV1D32wLlL+/SlC
+m/MaE885CaCXSHML2zBvJkQUTGdrecazvIVVOUVspyi5PWTlT2CpS7wIeEcOFsJ2
+KEOmxQTcGTbOb2HMWEDGecBvP28xR9qxwBfDUbttBDxDqhnf+ICjGqV89V2a721F
+1v8QvnvHugz3Ma5h5SjejYMQhDXccw1MCqQ3NsZ+i6gmp/AMEMe6NYorWb3L4IAO
+KmMbV7wl0LnjStFAqFYxUuKt3wEyQW0cDigjojmetd3MuBUf+tC9ha2H1i6lkcuj
+eVnr2o8TMqj64EzP
+-----END CERTIFICATE-----
Index: examples/acme_rockets/Coyote_private.pem
===================================================================
--- examples/acme_rockets/Coyote_private.pem	(revision ef4daa7704b28f59c0401b233f4455848c47e1d6)
+++ examples/acme_rockets/Coyote_private.pem	(revision ef4daa7704b28f59c0401b233f4455848c47e1d6)
@@ -0,0 +1,27 @@
+-----BEGIN RSA PRIVATE KEY-----
+MIIEoQIAAoIBAQDfOfk1OB8JhVpKoj+UwrOblS28tA8aDtpUIDxSpFCoKRT4FUIq
+gz9TTzaYsEDCgfuglIEr9TXLzcfMum6Zpxe0cmg85OSVjb+F482nG3RelWHCjEfd
+wu3yoONtDab+PjmGFe37jsZSgbihhnJ5ZrN/Jx4F5+JQZ1mIINzNpyCYjrwIZC+l
+SNc17eg9egiI81LDvQ+XF9NW14gwzmsnZhc8jGoqhFG39p3uufTzUx7kn1Jn21Cm
+VWox9ico/yhBm+RIpIRmhZjOVFgf8ZGsnBNY7+o+JU/WKS10fXZwpZhlTZ6uvChQ
+LCy0uM1KwKBcv+ThQVpLeZqMjV0hG9DodhoDAgMBAAECggEANrLjAQp2eIPHw0AM
+qmwnTLl6UqIgjTcUgsa/YVTIOtyOOdgjtX0huE1RyIpv4/mr6gZZvKbCfuU2z1Dj
+px0NrvbV2g4QgSERzEIs84TDuCWMpfpv5cRNQEXyVJei0uv2dofLH/g1WqRU1Ke4
+R01GMKMqNTJD/4XDp5q94FrSnu7trS3q5FV7Fc41+NVuTZr+xMZVzKa0hEekPJYj
+opqZltAqFRqr595Tsn5UYo7hCdWa3kxb7SJDeWybtJoajA+gVBH8BZYfu8gnsxZH
+GGGpvU63nCS3ndEMZr4nyINd+hA42d6uK9zxVTzKjxj0HEgX/CNyzo8uUTqrdb3y
+/lhFeQKBgQD1KgqQMSjpTHOGTcka/l5vU1IpQgHNjbS4jVbnurBO5hdm+BSGwXDy
+2bOLGyEuvKnl3i2O7/xuMwG4Ege+ZA13qsc1H1qkbjv3xnJH8ENCvfgV0AGK7MLJ
+QWsStle60t8j8SdwnBLFXpy3f2JvrJVjL82y8PK0c8l55N4djw5e7wKBgQDpF7aL
+B2ZRrvwp3s2OXycouSvwT9E/4C84l4VYyTaVo1hyjt4nWYNtcLfv0Pgwg+3jdfjF
+wOXMo7jPzT3KqGvnxHQEN7fq7HmwmATfXYxh/V2t919YaEP4iS1q3+xMJjxAAvsD
+AEvi6OkPf9ihoL9ksUDp6He9nY5ELuhbA6c2LQKBgC4BR54rO2wcBomrSxOfrATj
+88T+N+xkrQb8rtQpOjB0COwvnVp0LkfEBmcSHjXw/Ui/Wnk6G3pqY+Ywq/dUOxq7
+l0omqhG1BdfHC2bodRavI0CkmcWCDENL3VXTlb7fFzRdanM9NmCHEo10f/pIvnew
+Xr83a7PlDmerROrzD1VNAoGAXCrOOWcxpDbm6r941ET3vPiLUTieav2AboYrahIW
+DVFLlfC8Ex8oAsxBTwh4OubP19M8DSXbN/G9EB39wvaZxEk//rLxfGkJLTTPKGtb
+KRwAQNvBzblctxe2572nN+0egckr6+HgH9cs4L4SsMZZJ72XB2augkGckYVixypI
+ofkCgYB34F3pA/e6AT3h3tMhGtM/rwfVPSa5lz7/kQd2350xYrcW55ARlVSRHY0K
+ndQOqcplSj0ZK6WKt1tWDKfLMpRH8AineGUuECRIBHKFIskM0K3Iw6wTOoR8nKpj
+KpQI1xMH+xJDY/QnkhAK5nIVWShjCO/gUSENfVxsVmigtHqMDA==
+-----END RSA PRIVATE KEY-----
Index: examples/acme_rockets/README
===================================================================
--- examples/acme_rockets/README	(revision ef4daa7704b28f59c0401b233f4455848c47e1d6)
+++ examples/acme_rockets/README	(revision ef4daa7704b28f59c0401b233f4455848c47e1d6)
@@ -0,0 +1,16 @@
+Acme.buy_rockets <- Acme.preferred_customer
+Acme.preferred_customer <- Coyote
+
+creddy --generate --cn Acme
+
+creddy --generate --cn Coyote
+
+creddy --attribute \
+       --issuer Acme_ID.pem --key Acme_private.pem --role buy_rockets \
+       --subject-cert Acme_ID.pem --subject-role preferred_customer \
+       --out Acme_buy_rockets__Acme_preferred_customer_attr.der
+
+creddy --attribute \
+       --issuer Acme_ID.pem --key Acme_private.pem --role preferred_customer \
+       --subject-cert Coyote_ID.pem \
+       --out Acme_preferred_customer__Coyote_attr.der
